
//
//HLSL Target for ESL v0.3
//	
//	Written by Lewey Geselowitz
//	ESL Homepage: http://www.leweyg.com/lc/esl 
//
//This Material:
//	Target: HLSL/FX
//	Compiled at: 7/20/2006 1:57:49 AM
//

float3 inst0__CameraPos : CAMERA_POS<
		string esl_inst="inst0";
		string esl_name="CameraPos";>;

float4x4 inst0__WorldViewProjection : MODELPROJECTION_MATRIX<
		string esl_inst="inst0";
		string esl_name="WorldViewProjection";>;

float4x4 inst0__ModelViewMatrix : MODELVIEW_MATRIX<
		string esl_inst="inst0";
		string esl_name="ModelViewMatrix";>;

texture inst0__EnvTexture : CUBETEXTURE0<
		string esl_inst="inst0";
		string esl_name="Cubic_Texture";
		string type="CUBE";>;

texture inst0__FaceTexture : TEXTURE0<
		string esl_inst="inst0";
		string esl_name="Texture";>;

samplerCUBE inst0__EnvTexture__sampler<
		string esl_inst="inst0";
		string esl_name="Cubic_Texture";
		string type="CUBE";> = sampler_state {
	Texture = <inst0__EnvTexture>;
	MipFilter = LINEAR;
	MinFilter = LINEAR;
	MagFilter = LINEAR;
};

sampler inst0__FaceTexture__sampler<
		string esl_inst="inst0";
		string esl_name="Texture";> = sampler_state {
	Texture = <inst0__FaceTexture>;
	MipFilter = LINEAR;
	MinFilter = LINEAR;
	MagFilter = LINEAR;
};


struct VSOUTPUT { 
	float4 t35 : TEXCOORD0;
	float2 t33 : TEXCOORD1;
	float3 t38 : TEXCOORD2;
	float4 t31 : POSITION;
};

VSOUTPUT mainVS (
	float4 inst0__FaceShade : COLOR0<
		string esl_inst="inst0";
		string esl_name="FaceShade";>, 
	float3 inst0__RawNormal : NORMAL<
		string esl_inst="inst0";
		string esl_name="RawNormal";
		string esl_uitype="direction_model";>, 
	float4 inst0__RawPosition : POSITION<
		string esl_inst="inst0";
		string esl_name="RawPosition";
		string esl_uitype="position_model";>, 
	float2 inst0__FaceTexCoord : TEXCOORD0<
		string esl_inst="inst0";
		string esl_name="FaceTexCoord";>
	)
{
	VSOUTPUT __vsout;
	float4 t1 = float4( ( inst0__RawPosition ).x, ( inst0__RawPosition ).y, (
		inst0__RawPosition ).z, float( 1.0 ) );
	__vsout.t35 = inst0__FaceShade;
	__vsout.t33 = inst0__FaceTexCoord;
	__vsout.t38 = reflect( normalize( ( inst0__CameraPos - ( mul( t1,
		inst0__ModelViewMatrix ) ).xyz ) ), mul( inst0__RawNormal, ((float3x3)
		inst0__ModelViewMatrix ) ) );
	__vsout.t31 = mul( t1, inst0__WorldViewProjection );
	return __vsout;
}

struct PSOUTPUT {
	float4 __final : COLOR0;
};

PSOUTPUT mainPS( VSOUTPUT __vsout )
{
	PSOUTPUT __psout;
	bool t24 = false;
	float4 t9 = tex2D( inst0__FaceTexture__sampler, __vsout.t33 );
	float4 t39 = ( ( ( t9 * __vsout.t35 ) * float( 0.95 ) ) + ( saturate(
		texCUBE( inst0__EnvTexture__sampler, __vsout.t38 ) ) * ( float( 0.2 )
		* ( t9 ).a ) ) );
	__psout.__final = t39;
	return __psout;
}

technique MainTechnique {
	pass P0 {
		VertexShader = compile vs_2_0 mainVS( );
		PixelShader = compile ps_2_0 mainPS( );
}}

